com.holonplatform.jaxrs.client.internal

## Class JaxrsRestClientFactory

- java.lang.Object
- - com.holonplatform.jaxrs.client.internal.JaxrsRestClientFactory

- All Implemented Interfaces:
    com.holonplatform.http.rest.RestClientFactory

      @Priority(value=100)
      public class JaxrsRestClientFactory
      extends Object
      implements com.holonplatform.http.rest.RestClientFactory

  A `RestClientFactory` to provide JAX-RS `RestClient` implementations using `JaxrsClientRestClient`.
  Since:
    5.0.0

- - ### Field Summary

    - ### Fields inherited from interface com.holonplatform.http.rest.RestClientFactory

      `DEFAULT_PRIORITY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JaxrsRestClientFactory()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `com.holonplatform.http.rest.RestClient` | `create(ClassLoader classLoader)`
    `Class<?>` | `getRestClientImplementationClass()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JaxrsRestClientFactory

          public JaxrsRestClientFactory()

  - ### Method Detail

    - #### getRestClientImplementationClass

          public Class<?> getRestClientImplementationClass()

      Specified by:
        `getRestClientImplementationClass` in interface `com.holonplatform.http.rest.RestClientFactory`

    - #### create

          public com.holonplatform.http.rest.RestClient create(ClassLoader classLoader)
                                                        throws com.holonplatform.http.exceptions.RestClientCreationException

      Specified by:
        `create` in interface `com.holonplatform.http.rest.RestClientFactory`
      Throws:
        `com.holonplatform.http.exceptions.RestClientCreationException`

Copyright © 2019 The Holon Platform. All rights reserved.